Skip to main content
GET
/
v1
/
payments
/
history
curl "https://xenarch.dev/v1/payments/history?wallet=0x1234...abcd&domain=example.com&limit=10"
[
  {
    "url": "/premium-article",
    "domain": "example.com",
    "amount_usd": "0.003",
    "tx_hash": "0xdef456...abc789",
    "paid_at": "2026-04-10T14:35:00Z"
  }
]
curl "https://xenarch.dev/v1/payments/history?wallet=0x1234...abcd&domain=example.com&limit=10"
[
  {
    "url": "/premium-article",
    "domain": "example.com",
    "amount_usd": "0.003",
    "tx_hash": "0xdef456...abc789",
    "paid_at": "2026-04-10T14:35:00Z"
  }
]

Query parameters

ParameterTypeDescription
walletstringWallet address (required)
domainstringFilter by domain (optional)
limitintegerMax results (default 10)

Query Parameters

wallet
string
required
Pattern: ^0x[0-9a-fA-F]{40}$
domain
string | null
limit
integer
default:10
Required range: 1 <= x <= 100

Response

Successful Response

url
string
required
domain
string
required
amount_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
tx_hash
string
required
paid_at
string<date-time>
required